futhark-data-1.1.2.0: An implementation of the Futhark data format.

Safe Haskell | Trustworthy
Language | Haskell2010

Futhark.Data.Reader

Description

The value reader can handle a delightful mix of binary and textual input. It is the most general way of reading values, but it is less efficient than using the `Get` instance if you know that the data will be in the binary format.

Synopsis

- readValues :: ByteString -> Maybe [Value]

# Documentation

readValues :: ByteString -> Maybe [Value] Source #

Parse Futhark values from the given bytestring.